Public Member Functions

# wxMessageOutputBest Class Reference
[Logging]

`#include <wx/msgout.h>`

Inheritance diagram for wxMessageOutputBest:
[legend]

## Detailed Description

Output messages in the best possible way.

Some systems (e.g. MSW) are capable of showing message boxes even from console programs. If this is the case, this class will use message box if standard error stream is not available (e.g. running console program not from console under Windows) or possibly even always, depending on the value of flags constructor argument.

##

Library: wxBase
Category: Logging

## Public Member Functions
| wxMessageOutputBest (wxMessageOutputFlags flags=wxMSGOUT_PREFER_STDERR)
| Create a new message output object.

List of all members.

## Constructor & Destructor Documentation

wxMessageOutputBest::wxMessageOutputBest | ( | wxMessageOutputFlags | flags = `wxMSGOUT_PREFER_STDERR` | ) |

Create a new message output object.

Parameters:

  | flags | May be either `wxMSGOUT_PREFER_STDERR` (default) meaning that standard error will be used if it's available (e.g. program is being run from console under Windows) or `wxMSGOUT_PREFER_MSGBOX` meaning that a message box will always be used if the current system supports showing message boxes from console programs (currently only Windows does).

|  | [ top ]